org.eclipse.wst.jsdt.chromium.debug.js.util

## Class ChromiumUtil

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.js.util.ChromiumUtil

    public final class ChromiumUtil
    extends java.lang.Object

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `getChromiumUserDataDir()` Creates '.jsdt-chromium' directory in user.home for using it as '--user-data-dir' parameter witch force Chrome / Chromium to start a new browser instance, not just a new window
`static int` `getRandomOpenPort()`
`static IProject` `guessProject()`
`static java.lang.String` `guessUrl()`
`static java.lang.String` `toUrl(IResource resource)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getChromiumUserDataDir

    public static java.lang.String getChromiumUserDataDir()

Creates '.jsdt-chromium' directory in user.home for using it as '--user-data-dir' parameter witch force Chrome / Chromium to start a new browser instance, not just a new window

Returns:
  Absolute path to '.jsdt-chromium' folder that will be used as --user-data-dir parameter
See Also:
  --user-data-dir

#### getRandomOpenPort

    public static int getRandomOpenPort()
                                 throws java.io.IOException

Throws:
  `java.io.IOException`

#### guessUrl

    public static java.lang.String guessUrl()

#### toUrl

    public static java.lang.String toUrl(IResource resource)

#### guessProject

    public static IProject guessProject()